Subject: Re: PIM-SM RP states

From: Bill Fenner <[email-masked]>
Date: Tue, 20 Feb 2001 05:19:33 -0800

>1. If an RP receives a (*,G) JOIN for a group for which the RP already has a
>(S,G) entry for the source of that group. What is the state maintained for
>the shared tree by the RP. Is it (*,G)?

In the new PIM spec, the RP maintains both (S,G) and (*,G) state
individually (S,G state representing receiving S,G joins, *,G state
representing receiving *,G joins) and then merges them together when
determining the multicast forwarding state for a packet from S to G.
See inherited_olist(S,G) in draft-ietf-pim-sm-v2-new-01 for more details.

>2. Do RPs always send C-RP advertisements for a group after having received
>a REGISTER for that group from a source?

As others have mentioned, Candidate RP's send C-RP advertisements the
entire time that they're Candidate RP's; there's no triggering mechanism
other than the simple fact that they're a candidate RP.

  Bill